import type {
  EventAnonCredsCredentialOfferGetAllInput,
  EventAnonCredsCredentialOfferGetByIdInput,
} from '@ocm/shared';

import { Inject, Injectable } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import {
  EventAnonCredsCredentialOfferGetAll,
  EventAnonCredsCredentialOfferGetById,
} from '@ocm/shared';
import { map } from 'rxjs';

import { NATS_CLIENT } from '../common/constants.js';

@Injectable()
export class CredentialOffersService {
  public constructor(
    @Inject(NATS_CLIENT) private readonly natsClient: ClientProxy,
  ) {}

  public findCredentialOffers(tenantId: string) {
    return this.natsClient
      .send<
        EventAnonCredsCredentialOfferGetAll,
        EventAnonCredsCredentialOfferGetAllInput
      >(EventAnonCredsCredentialOfferGetAll.token, { tenantId })
      .pipe(map(({ data }) => data));
  }

  public getCredentialOfferById(tenantId: string, credentialOfferId: string) {
    return this.natsClient
      .send<
        EventAnonCredsCredentialOfferGetById,
        EventAnonCredsCredentialOfferGetByIdInput
      >(EventAnonCredsCredentialOfferGetById.token, {
        tenantId,
        credentialOfferId,
      })
      .pipe(map(({ data }) => data));
  }
}
