import type { BaseEventInput } from './baseEvents.js';
import type { AnonCredsCredentialOffer } from '@aries-framework/anoncreds';

import { BaseEvent } from './baseEvents.js';

export type EventAnonCredsCredentialOfferGetAllInput = BaseEventInput;

export class EventAnonCredsCredentialOfferGetAll extends BaseEvent<
  Array<AnonCredsCredentialOffer>
> {
  public static token = 'anoncreds.credentialOffers.getAll';

  public get instance() {
    return this.data;
  }

  public static fromEvent(e: EventAnonCredsCredentialOfferGetAll) {
    return new EventAnonCredsCredentialOfferGetAll(
      e.data,
      e.tenantId,
      e.id,
      e.type,
      e.timestamp,
    );
  }
}

export type EventAnonCredsCredentialOfferGetByIdInput = BaseEventInput & {
  credentialOfferId: string;
};

export class EventAnonCredsCredentialOfferGetById extends BaseEvent<AnonCredsCredentialOffer | null> {
  public static token = 'anoncreds.credentialOffers.getById';

  public get instance() {
    return this.data;
  }

  public static fromEvent(e: EventAnonCredsCredentialOfferGetById) {
    return new EventAnonCredsCredentialOfferGetById(
      e.data,
      e.tenantId,
      e.id,
      e.type,
      e.timestamp,
    );
  }
}
