# ssi-abstraction

![Version: 1.0.1](https://img.shields.io/badge/Version-1.0.1-informational?style=flat-square) ![AppVersion: v1.0.1-rc](https://img.shields.io/badge/AppVersion-v1.0.1--rc-informational?style=flat-square)

ssi-abstraction deployment

## Values

| Key                                                               | Type   | Default                              | Description                                                    |
| ----------------------------------------------------------------- | ------ | ------------------------------------ | -------------------------------------------------------------- |
| autoscaling.enabled                                               | bool   | `false`                              | Enable autoscaling                                             |
| autoscaling.maxReplicas                                           | int    | `3`                                  | Maximum replicas                                               |
| autoscaling.minReplicas                                           | int    | `1`                                  | Minimum replicas                                               |
| autoscaling.targetCPUUtilizationPercentage                        | int    | `70`                                 | CPU target for autoscaling trigger                             |
| autoscaling.targetMemoryUtilizationPercentage                     | int    | `70`                                 | Memory target for autoscaling trigger                          |
| image.name                                                        | string | `"gaiax/ssi-abstraction"`            | Image name                                                     |
| image.pullPolicy                                                  | string | `"IfNotPresent"`                     | Image pull policy                                              |
| image.pullSecrets                                                 | string | `"deployment-key-light"`             | Image pull secret when internal image is used                  |
| image.repository                                                  | string | `"eu.gcr.io/vrgn-infra-prj"`         |                                                                |
| image.sha                                                         | string | `""`                                 | Image sha, usually generated by the CI Uses image.tag if empty |
| image.tag                                                         | string | `""`                                 | Image tag Uses .Chart.AppVersion if empty                      |
| ingress.annotations."cert-manager.io/cluster-issuer"              | string | `"letsencrypt-production-http"`      |                                                                |
| ingress.annotations."kubernetes.io/ingress.class"                 | string | `"nginx"`                            |                                                                |
| ingress.annotations."kubernetes.io/ingress.global-static-ip-name" | string | `"dev-light-public"`                 |                                                                |
| ingress.annotations."nginx.ingress.kubernetes.io/rewrite-target"  | string | `"/$2"`                              |                                                                |
| ingress.enabled                                                   | bool   | `true`                               |                                                                |
| ingress.frontendDomain                                            | string | `"gaiax.vereign.com"`                |                                                                |
| ingress.frontendTlsSecretName                                     | string | `"cert-manager-tls"`                 |                                                                |
| ingress.pathOverride                                              | string | `"didcomm"`                          |                                                                |
| ingress.tlsEnabled                                                | bool   | `true`                               |                                                                |
| log.encoding                                                      | string | `"json"`                             |                                                                |
| log.level                                                         | string | `"INFO"`                             |                                                                |
| metrics.enabled                                                   | bool   | `true`                               | Enable prometheus metrics                                      |
| metrics.port                                                      | int    | `2112`                               | Port for prometheus metrics                                    |
| name                                                              | string | `"ssi-abstraction"`                  | Application name                                               |
| nameOverride                                                      | string | `""`                                 | Ovverwrites application name                                   |
| podAnnotations                                                    | object | `{}`                                 |                                                                |
| replicaCount                                                      | int    | `1`                                  | Default number of instances to start                           |
| resources.limits.cpu                                              | string | `"150m"`                             |                                                                |
| resources.limits.memory                                           | string | `"512Mi"`                            |                                                                |
| resources.requests.cpu                                            | string | `"25m"`                              |                                                                |
| resources.requests.memory                                         | string | `"64Mi"`                             |                                                                |
| security.runAsGid                                                 | int    | `0`                                  | Group used by the apps                                         |
| security.runAsNonRoot                                             | bool   | `false`                              | by default, apps run as non-root                               |
| security.runAsUid                                                 | int    | `0`                                  | User used by the apps                                          |
| service.port                                                      | int    | `3009`                               |                                                                |
| ssiAbstraction.agent.autoAccept.connection                        | bool   | `true`                               |                                                                |
| ssiAbstraction.agent.autoAccept.credential                        | bool   | `true`                               |                                                                |
| ssiAbstraction.agent.host                                         | string | `"gaiax.vereign.com"`                |                                                                |
| ssiAbstraction.agent.ledgerId                                     | string | `"ID_UNION"`                         |                                                                |
| ssiAbstraction.agent.name                                         | string | `"ssi-abstraction-agent"`            |                                                                |
| ssiAbstraction.agent.inboundPort                                  | int    | `443`                                |                                                                |
| ssiAbstraction.agent.protocol                                     | string | `"http"`                             |                                                                |
| ssiAbstraction.agent.publicDidSeed                                | string | `"6b8b882e2618fa5d45ee7229ca880083"` |                                                                |
| ssiAbstraction.agent.urlPath                                      | string | `"/ocm/didcomm"`                     |                                                                |
| ssiAbstraction.agent.wallet.id                                    | string | `"ssi-wallet-id"`                    |                                                                |
| ssiAbstraction.agent.wallet.key                                   | string | `"ssi-wallet-key"`                   |                                                                |
| ssiAbstraction.database.db                                        | string | `"postgres"`                         |                                                                |
| ssiAbstraction.database.host                                      | string | `"postgresql.infra"`                 |                                                                |
| ssiAbstraction.database.password                                  | string | `"password"`                         |                                                                |
| ssiAbstraction.database.port                                      | int    | `5432`                               |                                                                |
| ssiAbstraction.database.schema                                    | string | `"proof"`                            |                                                                |
| ssiAbstraction.database.user                                      | string | `"root"`                             |                                                                |
| ssiAbstraction.elastic.port                                       | int    | `9200`                               |                                                                |
| ssiAbstraction.elastic.protocol                                   | string | `"http"`                             |                                                                |
| ssiAbstraction.elastic.url                                        | string | `"elasticsearch"`                    |                                                                |
| ssiAbstraction.nats.port                                          | int    | `4222`                               |                                                                |
| ssiAbstraction.nats.protocol                                      | string | `"nats"`                             |                                                                |
| ssiAbstraction.nats.url                                           | string | `"nats"`                             |                                                                |

---

Autogenerated from chart metadata using [helm-docs v1.10.0](https://github.com/norwoodj/helm-docs/releases/v1.10.0)
